
%if 0%{?rhel}
%define rhel_plugin 1
%endif

Name:           report
Version:        0.14
Release:        1%{?dist}
Summary:        Incident reporting library

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://fedorahosted.org/report
Source0:        http://fedorahosted.org/released/report/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Provides: python-report = %{version}-%{release} 
Provides: report-devel = %{version}-%{release} 

BuildRequires: python-devel
BuildRequires: openssl-devel
BuildRequires: libxml2-devel
BuildRequires: gettext
%if 0%{?rhel} && 0%{?rhel} <= 5
BuildRequires: curl-devel
%else
BuildRequires: libcurl-devel
%endif  

Requires: openssl report-config-scp report-config-localsave
Requires: libcurl
Requires: libxml2
Requires: report-config-default

%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif



%description
A generic problem/bug/incident/error reporting library, that can be 
configured to deliver a report to a variety of different ticketing 
systems.

%package gtk
Summary:        GTK IO for reporting library
Group:          System Environment/Libraries

Requires: pygtk2
Requires: report = %{version}-%{release}

%description gtk
Provides GTK IO dialogs for the reporting library

%package newt
Summary:        Newt IO for reporting library
Group:          System Environment/Libraries

Requires: newt-python
Requires: report = %{version}-%{release}

%description newt
Provides Newt IO dialogs for the reporting library

%if 0%{?rhel_plugin}
%package plugin-RHEL-bugzilla
Summary:        Plugin template reporter to RHEL
Group:          System Environment/Libraries

Requires: report = %{version}-%{release}
Requires: rpm-python

%description plugin-RHEL-bugzilla
Plugin template reporter to bugzilla within RHEL

%else
%package plugin-bugzilla
Summary:        Plugin template reporter to bugzilla
Group:          System Environment/Libraries

Requires: report = %{version}-%{release}
Requires: rpm-python
Requires: python-bugzilla

%description plugin-bugzilla
Plugin template reporter to bugzilla
%endif

%package plugin-ftp
Summary:        Plugin template reporter to ftp
Group:          System Environment/Libraries

Requires: report = %{version}-%{release}

%description plugin-ftp
Plugin template reporter to ftp

%package plugin-scp
Summary:        Plugin template reporter to scp
Group:          System Environment/Libraries
Requires: report = %{version}-%{release}

%description plugin-scp
Plugin template reporter to scp

%package plugin-localsave
Summary:        Plugin template reporter to local directory
Group:          System Environment/Libraries
Requires: report = %{version}-%{release}

%description plugin-localsave
Plugin template reporter to localsave

%package config-ftp
Summary:        Config for reporter to ftp
Group:          System Environment/Libraries
Requires: report-plugin-ftp = %{version}-%{release}

%description config-ftp
Config for reporter to ftp

%package config-scp
Summary:        Config for reporter to ftp
Group:          System Environment/Libraries
Requires: report-plugin-scp = %{version}-%{release}

%description config-scp
Config for reporter to scp

%package config-localsave
Summary:        Config for reporter to ftp
Group:          System Environment/Libraries
Requires: report-plugin-localsave = %{version}-%{release}

%description config-localsave
Config for reporter to local directory

%if 0%{?rhel_plugin}
%package config-RHEL-bugzilla-redhat-com
Summary:        Config for reporter to bugzilla.redhat.com within RHEL
Group:          System Environment/Libraries
Requires: report-plugin-RHEL-bugzilla = %{version}-%{release}
Provides: report-config-default = %{version}-%{release}

%description config-RHEL-bugzilla-redhat-com
Config for reporter to bugzilla.redhat.com within RHEL

%else
%package config-bugzilla-redhat-com
Summary:        Config for reporter to bugzilla.redhat.com
Group:          System Environment/Libraries
Requires: report-plugin-bugzilla = %{version}-%{release}
Provides: report-config-default = %{version}-%{release}

%description config-bugzilla-redhat-com
Config for reporter to bugzilla.redhat.com
%endif

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

%if 0%{?rhel_plugin}
rm $RPM_BUILD_ROOT%{_sysconfdir}/report.d/bugzilla.redhat.com.conf
rm -rf $RPM_BUILD_ROOT%{python_sitearch}/report/plugins/bugzilla
%else
rm $RPM_BUILD_ROOT%{_sysconfdir}/report.d/RHEL-bugzilla.redhat.com.conf
rm -rf $RPM_BUILD_ROOT%{python_sitearch}/report/plugins/RHEL-bugzilla
%endif

%if ! 0%{?py_strata_client}
rm -rf $RPM_BUILD_ROOT%{_bindir}/py_strata_client
rm -rf $RPM_BUILD_ROOT%{python_sitearch}/report/plugins/strata
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/report.d/RHEL-strata.conf
%endif

mkdir -p $RPM_BUILD_ROOT/var/%{name}



%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README LICENCE
%dir %{python_sitearch}/report
%{python_sitearch}/report/__init__.py*
%{python_sitearch}/report/accountmanager.py*
%dir %{python_sitearch}/report/io
%{python_sitearch}/report/io/__init__.py*
%{python_sitearch}/report/io/TextIO.py*
%dir %{python_sitearch}/report/plugins
%{python_sitearch}/report/plugins/__init__.py*
%dir %{_sysconfdir}/report.d
%{_bindir}/report
%{_mandir}/man1/report.1.gz
%{_mandir}/man5/report.conf.5.gz
%dir %{_var}/report
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/report.conf

%{_includedir}/strata_client.h
%{_libdir}/libstrata_client.a
%{_libdir}/libstrata_client.la
%{_libdir}/libstrata_client.so
%{_libdir}/libstrata_client.so.0
%{_libdir}/libstrata_client.so.0.0.0
%if 0%{?py_strata_client}
%{_bindir}/py_strata_client
%{python_sitearch}/report/plugins/strata
%config(noreplace) %{_sysconfdir}/report.d/RHEL-strata.conf
%endif

%files gtk
%defattr(-,root,root,-)
%{python_sitearch}/report/io/GTKIO.py*

%files newt
%defattr(-,root,root,-)
%{python_sitearch}/report/io/NewtIO.py*

%files plugin-ftp
%defattr(-,root,root,-)
%{python_sitearch}/report/plugins/ftp

%files plugin-scp
%defattr(-,root,root,-)
%{python_sitearch}/report/plugins/scp

%files plugin-localsave
%defattr(-,root,root,-)
%{python_sitearch}/report/plugins/localsave

%if 0%{?rhel_plugin}
%files plugin-RHEL-bugzilla
%defattr(-,root,root,-)
%{python_sitearch}/report/plugins/RHEL-bugzilla

%else
%files plugin-bugzilla
%defattr(-,root,root,-)
%{python_sitearch}/report/plugins/bugzilla
%endif

%files config-ftp
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/report.d/dropbox.redhat.com.conf

%files config-scp
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/report.d/scp.conf

%files config-localsave
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/report.d/localsave.conf

%if 0%{?rhel_plugin}
%files config-RHEL-bugzilla-redhat-com
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/report.d/RHEL-bugzilla.redhat.com.conf

%else
%files config-bugzilla-redhat-com
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/report.d/bugzilla.redhat.com.conf
%endif


%changelog
* Wed May 19 2010 Gavin Romig-Koch <gavin@redhat.com> 0.14-1
- Improvements to the strata client testing scripts
- Corrections to prevent crashes when no user i/o is available (RHEL 589714)
- Alter the bugzilla plugin to handle reports that have missing fields 
     (like hashmarkername) (Fedora 585792)(RHEL 592641)
- Gnomekeyring now works for any application that uses GTKIO. 
     (RHEL 589697)(Fedora 589695)
- Allow the URL for the Strata plugin to be configurable
- Updates to the strata client to follow changes to the strata server
- Rename targets, and plugins for RHEL (to RHEL-bugzilla),
     and Strata (to RHEL-strata) (RHEL 591281)
- Gracefully handle missing or unreadable config files
     (RHEL 592602) (Fedora 592601) (RHEL 592485)
- Added Russian (from ypoyarko <ypoyarko@fedoraproject.org>) 
- Don't present 'save to keyring' checkbox if gnomekeyring is not installed
     (RHEL 591323)
- Correct handling of error messages from the strata server 
     (RHEL 591920)
- Updates to Polish (pl) translation (from raven <raven@fedoraproject.org>)
- Updates to Ukrainian (uk) translation (from <yurchor@fedoraproject.org>)
- Add basic http auth to report/strata-client (RHEL 592006)

* Wed May 12 2010 Gavin Romig-Koch <gavin@redhat.com> 0.12-1
- correct summary and description for strata client (RHEL 589707)
- remove component from bz query (Fedora 561830)
- add product, version, and component to strata create case (RHEL 590180)
- correct bug in report file parsing
- added pl lang
- update PO files
- fix memory leak: free attach_reponse in send_report_to_new_case
- a number of minor cleanups 
  - make it easy to build the RHEL configuration on Fedora for testing
  - add --gtk option to bin/report to improve ability to test
  - clean up _add_binding_from_string/isbinary problem
  - remove unused/unneeded patches from source repo
  - add example script showing htmlErrors
  - correct strata_client.h double underscores to single underscores
  - rename response_data to createcase_response in send_report_to_new_case
  - clean up warnings in strata_client code
  - correct/update strata testing scripts

* Thu May 06 2010 Gavin Romig-Koch <gavin@redhat.com> 0.11-1
- many minor changes to keep up with strata server
    including set the 'Accepted-Language:' header in the strata client 
       (Fedora BZ 575819)
- initial Polish translation
    from raven <raven@fedoraproject.org> 
- fix python config in spec file and makefiles so that both x86 
    and x86_64 arches can be installed at the same time.  (RHEL BZ 586971)
- corrects the password remembering/forgetting code for bugzilla.redhat.com
    and sealert (RHEL BZ 576632)
- Spanish translation
    from logan <logan@fedoraproject.org>
- Ukrainian (uk) translation
    from yurchor <yurchor@fedoraproject.org> 
- deal gracefully with non-openable/readable files in 
    NamedFileSignatureValues (Fedora BZ 573037)
- minor makefile and spec file changes:
    upgrade version
    change RHEL-6-build to RHEL-6-candidate
    add more mock makefile rules for more configurations

* Mon Apr 5 2010 Adam Stokes <ajs@redhat.com> 0.10-5
- Resolves: bz579045

* Tue Mar 30 2010 Adam Stokes <ajs@redhat.com> 0.10-2
- Update bz filer to submit correct product/version
- Complete move from templates to plugins

* Thu Mar 25 2010 Gavin Romig-Koch <gavin@redhat.com> 0.10-1
- Resolves: rhbz#576927
- Resolves: rhbz#576926
- Resolves: rhbz#576997
- Resolves: rhbz#576995
- simplify/correct interdependancies among report's sub-packages
- don't install the strata report plugin (but leave the client library)

* Wed Mar 24 2010 Adam Stokes <ajs@redhat.com> 0.9-2
- Update translation scheme
- Renamed ini to conf
- Renamed templates dir to plugins
- Defined target/plugins

* Tue Mar 23 2010 Gavin Romig-Koch <gavin@redhat.com> 0.9-1
- Resolves: rhbz#562655
- Update to new version in prep for release

* Fri Mar 19 2010 Adam Stokes <ajs@redhat.com> 0.8-5
- report.conf manpage
- report manpage
- do not traceback on empty login
- ask for existing strata case
- setting of config options overrides previous parameter
  if defined.

* Tue Mar 16 2010 Gavin Romig-Koch <gavin@redhat.com> 0.8-4
- add Strata client
- add serialize to report/signature file and read from report/signature file

* Wed Mar 11 2010 Adam Stokes <ajs@redhat.com> 0.8-3
- wrapper function to print to syslog and display io
- build plugins/configs based on distro
- makefile targets for el5.x86/x86_64 el6.x86/x86_64
- copyright addition to bin
- updated createfilesignature to accept binary bool

* Tue Mar 02 2010 Adam Stokes <ajs@redhat.com> 0.8-2
- move all alternatives into templates
- templates accepts overrides from cmdline
- new template ftp

* Thu Feb 11 2010 Gavin Romig-Koch <gavin@redhat.com> 0.8-1
- upgrade to 0.8
- add examples/IOtest.py
- add report/io/NewtIO
- have all GTK dialogs open in the center of the screen
- consistantly return True/False/None from io.functions and report
- add Provides: report-config-default
- minor improvements to makefile
- replace autogen.sh with a better makefiles system
- improved error message when scp plugin fails

* Thu Jan 28 2010 Gavin Romig-Koch <gavin@redhat.com> 0.7-1
- upgrade to 0.7
- correct the Requires: for config-RHEL
- improve localcopy plugin

* Mon Jan  4 2010 Gavin Romig-Koch <gavin@redhat.com> 0.6-1
- Add suffix to files in '/etc/report.d/'
- Create RHEL-template which doesn't depend on a separate python-bugzilla
- Correct bugs in report::report template loading which caused the same
   template to be loaded multiple times, and the wrong templates to be used
- Correct a open file leak
- Merge the fastback command into report
- Rename fastback to report-sendfile
- Correct button response bugs in GTKIO

* Thu Dec 17 2009 Gavin Romig-Koch <gavin@redhat.com> 0.5-1
- More cleanups/corrections from Fedora review:
  - added provides for python-report
  - reorg'd sub-package specfile sections to be more std
  - correct sub-package use of Build* and Requires:
  - include LICENCE text in both dist tarball and rpms.
  - other minor cleanups

* Thu Dec 10 2009 Gavin Romig-Koch <gavin@redhat.com> 0.5-1
- convert alternatives/redhat_bugzilla to templates/bugzilla-template

* Tue Dec 08 2009 Gavin Romig-Koch <gavin@redhat.com> 0.4-2
- Cleanups/Corrections from Fedora review:
  - Added GPL2 Licencing file and headers
  - removed unnecessary catcut plugin
  - correct Source0: and Group: headers
  - other misc. spec file problems

* Tue Dec 01 2009 Gavin Romig-Koch <gavin@redhat.com> 0.4-1
- Split out the GTK IO into its own rpm
- Split out the bugzilla and catcut plugins into their own rpms

* Mon Nov 23 2009 Gavin Romig-Koch <gavin@redhat.com> 0.3-1
- Convert to using Autotools

* Wed Nov 18 2009 Gavin Romig-Koch <gavin@redhat.com> 0.2-1
- significant changes

* Wed Oct 28 2009 Gavin Romig-Koch <gavin@redhat.com> 0.1-1
- initial version

